# Uses of Class
org.apache.sling.discovery.commons.providers.spi.base.SyncTokenService

Packages that use SyncTokenService
Package
Description
org.apache.sling.discovery.commons.providers.spi.base
Provides default SPI-implementations used by discovery.commons.providers.impl

## Uses of SyncTokenService in org.apache.sling.discovery.commons.providers.spi.base

Methods in org.apache.sling.discovery.commons.providers.spi.base that return SyncTokenService
Modifier and Type
Method
Description
`static SyncTokenService`
SyncTokenService.`testConstructor(DiscoveryLiteConfig commonsConfig, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.settings.SlingSettingsService settingsService)`
`static SyncTokenService`
SyncTokenService.`testConstructorAndActivate(DiscoveryLiteConfig commonsConfig, org.apache.sling.api.resource.ResourceResolverFactory resourceResolverFactory, org.apache.sling.settings.SlingSettingsService settingsService)`